Skip to main content
GET
/
bundles
/
{bundleId}
/
options
/
{optionId}
Get Bundle Option
curl --request GET \
  --url https://api.secure.quotivity.com/v1/bundles/{bundleId}/options/{optionId} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "accountId": "<string>",
  "bundleId": "<string>",
  "name": "<string>",
  "priceBookId": "<string>",
  "displayOrder": 123,
  "configuration": {
    "minCount": 123,
    "maxCount": 123,
    "defaultOptionProductId": "<string>"
  },
  "products": [
    {
      "id": "<string>",
      "accountId": "<string>",
      "bundleId": "<string>",
      "optionId": "<string>",
      "productId": "<string>",
      "properties": {},
      "displayOrder": 123,
      "adjustments": {},
      "standardPrice": {},
      "listPrice": {},
      "configuration": {
        "minQuantity": 123,
        "maxQuantity": 123,
        "readonlyQuantity": true
      }
    }
  ],
  "description": "<string>",
  "nextKey": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

bundleId
string
required
optionId
string
required

Query Parameters

startKey
string

Cursor for pagination of products

limit
string
default:500

Response

Successfully retrieved bundle option

id
string
required
accountId
string
required
bundleId
string
required
name
string
required
priceBookId
string
required
displayOrder
number
required
configuration
object
required
products
object[]
required
description
string | null
nextKey
string | null